package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.bop.jsh.Dby;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface DbyMapper {

    int insert(Dby record);

    int insertSelective(Dby record);

    int updateByPrimaryKeySelective(Dby record);

    int updateByPrimaryKey(Dby record);

    int deleteByPrimaryKey(Dby record);

    int deleteByIds(Collection<Object> collection);

    Dby selectByPrimaryKey(Dby record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Dby> dyncRead(Map<String, Object> dyncMap);

    Dby selectByRptnoAndTmpref(Dby record);

    String selectActiontypByinr(String inr);

    Dby selectInfoByTmpref(String tmpref);
}